# $Id: qt3.spec,v 1.60 2004/07/20 18:38:44 rexdieter Exp $

%define aurox_ver 10.1
%define rel 4


%define qt_dirname qt-3.3
%define qtdir %{_libdir}/%{qt_dirname}

# define to enable immodule -- Rex
# don't enable until redhat bug #132304 is fixed
%define immodule 1 

# 64bit arch
%define arch64 x86_64 s390x ppc64

# build Motif extention
%define motif_extention 0 

# buildstatic: Build libs for static linking
# TODO: static build broken, don't enable until fixed. -- Rex
%define buildstatic 0 

# Build SQL plugins
%define buildSQL 1

# define to use the dlopen-opengl optimization  -- Rex
%define dlopen_opengl -dlopen-opengl

# Build QT styles into -styles subpkg
%define styleplugins 0 

%define qtcopy 20040910
# To be able to identify qt-copy versions
%{?qtcopy:Provides: qt-copy = %{qtcopy}}

Summary: The shared library for the Qt GUI toolkit.
Name: 	 qt
Epoch:	 1
Version: 3.3.3
Release: %{aurox_ver}.aur.%{rel}

%if "%{?qtcopy}" == "%{nil}"
Source: ftp://ftp.troll.no/qt/source/qt-x11-free-3.3.3.tar.bz2
%else
Source:	 qt-copy-%{qtcopy}.tar.bz2
%endif
Prefix:  %{qtdir}
URL: 	 http://www.troll.no/
License: GPL/QPL
Group: 	 System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: qt-3.1.2-print-CJK.patch
Patch2: qt-3.0.5-nodebug.patch
Patch3: qt-3.1.0-makefile.patch
Patch4: qt-x11-free-3.3.3-mono.patch
Patch5: qt-x11-free-3.3.0-strip.patch
Patch6: qt-x11-free-3.3.0-freetype.patch
Patch7: qt-x11-free-3.3.2-quiet.patch
Patch8: qt-x11-free-3.3.3-qembed.patch
Patch9: qt-x11-free-3.3.3-qmake.patch
Patch10: qt-x11-free-3.3.1-lib64.patch
Patch12: qt-uic-nostdlib.patch
Patch13: qt-x11-free-3.3.1-qfontdatabase_x11.patch
Patch14: qt-x11-free-3.3.3-gl.patch
Patch15: qt-x11-free-3.3.3-qimage.patch

# feature patches
Patch50: qt-x11-immodule-bc-qt3.3.3.patch

## kde-redhat patches
#Patch1001: http://home.earthlink.net/~tyrerj/files/qt-x11-free-3.3.2-PSfontname.patch.tar.bz2
Patch1001: qt-x11-free-3.3.2-PSfontname.patch
# fix immodule, kde bug #12620, redhat bug #132304
Patch1002: qt-132304.patch

%define theme %{name}
%define priority 10 
Requires(post): themer >= 0:1.60
Requires(postun): themer >= 0:1.60

Prereq: /sbin/ldconfig
Prereq: fileutils

# Wierd, but true. (-: Not sure why, yet -- Rex
BuildConflicts: qt-devel < %{epoch}:%{version}

BuildRequires: libmng-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: perl
BuildRequires: sed
BuildRequires: findutils
BuildRequires: cups-devel
BuildRequires: pkgconfig

## gcc version in use? 
BuildRequires: gcc-c++
%define gcc_ver %(rpm -q --qf '%%{version}' gcc-c++ )
# turn off, for now -- Rex
#if "%{gcc_ver}" == "2.96"
#define cxa -fuse-cxa-atexit
#endif

## ld_so_conf_d support?
%define ld_so_conf_d %(if [ -d /etc/ld.so.conf.d ]; then echo 1; else echo 0; fi)

## xorg/Xft support
BuildRequires: xorg-x11-devel >= 6.8
%define fc_ver 2.0
BuildRequires: fontconfig-devel >= %{fc_ver}
%define xorg_ver %(rpm -q --qf '%%{version}' xorg-x11-devel )
%if "%{xorg_ver}" >= "6.8"
%define xorg_opts -xrandr 
#-xcursor
%else
# Pre xfree86-4.3.0 builded Xft(2) separately
BuildRequires: Xft-devel >= %{fc_ver}
#Requires: Xft >= %{fc_ver} 
%endif
%define xft_flags %(pkg-config xft >& /dev/null && pkg-config --cflags --libs xft)

# Let rpm auto-detect these -- Rex
#Requires: cups-libs
#Requires: freetype
#Requires: libjpeg
#Requires: libpng
# Requires: libmng

%if "%{?motif_extention}" == "1"
BuildRequires: openmotif-devel >= 2.2.2
%else
Obsoletes: qt-Xt < %{epoch}:%{version}-%{release}
%endif

%if "%{?buildstatic}" == "1"
BuildRequires: libmng-static
%endif

Conflicts: qt2 <= 2.3.1-3
Provides:  libqt.so.3

%if "%{?styleplugins}" != "1"
Obsoletes: qt-styles < %{epoch}:%{version}-%{release}
Provides:  qt-styles = %{epoch}:%{version}-%{release}
%endif

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications
for the X Window System.

Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run qt
applications, as well as the README files for qt.

#added to qt --jb
#%package config
#Summary: Grapical configuration tool for programs using Qt
#Group:	 User Interface/Desktops
#Requires: %{name} = %{epoch}:%{version}-%{release}
#%description config
#A grapical configuration tool for programs using Qt.

%package devel
Summary: Development files for the Qt GUI toolkit.
Group: 	 Development/Libraries
Conflicts: qt2-devel <= 2.3.1-3
Requires: %{name} = %{epoch}:%{version}-%{release} 
%if "%{?buildstatic}" != "1"
Obsoletes: qt-static  < %{epoch}:%{version}-%{release} 
%endif
Requires: xorg-x11-devel
Requires: libstdc++-devel
#Requires: libpng-devel
#Requires: libjpeg-devel
#Requires: libmng-devel
%description devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages.
See http://www.trolltech.com/products/qt.html for more
information about Qt, or install qt-doc package

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.

%package Xt
Summary: An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.
Group: System Environment/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release} 
%description Xt
An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.

%if "%{?styleplugins}" == "1"
%define plugins_style -plugin-style-cde -plugin-style-motifplus -plugin-style-platinum -plugin-style-sgi -plugin-style-windows -plugin-style-compact
%package styles
Summary: Extra styles for the Qt GUI toolkit.
Group: User Interface/Desktops
Requires: %{name} = %{epoch}:%{version}-%{release} 
%description styles
Extra styles (themes) for the Qt GUI toolkit.
%else
%define plugins_style -qt-style-cde -qt-style-motifplus -qt-style-platinum -qt-style-sgi -qt-style-windows -qt-style-compact
%endif

%if "%{?buildSQL}" != "0"
%define plugins_sql -enable-sql -plugin-sql-mysql -plugin-sql-odbc -plugin-sql-psql
%package ODBC
Summary: ODBC drivers for Qt's SQL classes.
Group: System Environment/Libraries
BuildRequires: unixODBC-devel
Requires: %{name} = %{epoch}:%{version}-%{release} 
%description ODBC
ODBC driver for Qt's SQL classes (QSQL)

%package MySQL
Summary: MySQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
BuildRequires:  mysql-devel 
Requires: %{name} = %{epoch}:%{version}-%{release} 
%description MySQL
MySQL driver for Qt's SQL classes (QSQL)

%package PostgreSQL
Summary: PostgreSQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
BuildRequires:  postgresql-devel
Requires: %{name} = %{epoch}:%{version}-%{release} 
%description PostgreSQL
PostgreSQL driver for Qt's SQL classes (QSQL)
%endif

%package static
Summary: Version of the Qt GUI toolkit for static linking
Group: Development/Libraries
Requires: %{name}-devel = %{epoch}:%{version}-%{release} 
%description static
Version of the Qt library for static linking

%package designer
Summary: Interface designer (IDE) for the Qt toolkit
Group: Development/Tools
Requires: %{name}-devel = %{epoch}:%{version}-%{release} 
%description designer
Contains a User Interface designer tool for the Qt toolkit.

%package doc
Summary: Documentation for the Qt GUI toolkit.
Group: Development/Libraries
Conflicts: qt2-devel <= 2.3.1-3
Conflicts: qt3-devel <= 1:3.3.1-9.4.aur.1
Requires: %{name} = %{epoch}:%{version}-%{release}
%description doc
The qt-doc package contains the HTML documentation and example
programs. See http://www.trolltech.com/products/qt.html for more
information about Qt, or look at
%{_docdir}/%{name}-devel-%{version}/html/index.html,
which provides Qt documentation in HTML format.

%prep
%if "%{?qtcopy:1}" == "1"
%setup -q -n qt-copy
%else
%setup -q -n qt-x11-free-%{version}
%endif

# clean up source tree
find . -type d -name CVS | xargs rm -rf

# for qt-copy added by jb
mv patches/{0049-qiconview-rubber_on_move.diff,0049-qiconview-rubber_on_move.diff.jb}
mv patches/{0049-qiconview-rubber_on_move.diff.orig,0049-qiconview-rubber_on_move.diff}

# for qt-copy in KDE CVS
[ -x apply_patches ] && ./apply_patches

%patch1 -p1 -b .cjk
%patch2 -p1 -b .ndebug
%patch3 -p1 -b .makefile
%patch4 -p1 -b .mono
%patch5 -p1
%patch6 -p1 -b .ft217
%patch7 -p1 -b .quiet
%patch8 -p1 -b .qembed
%patch9 -p1 -b .qmake
%patch10 -p1
%patch12 -p1 -b .nostdlib
%patch13 -p1 -b .fonts
%patch14 -p1 -b .gl
%patch15 -p1 -b .image

%{?immodule:%patch50 -p1 -b .im}

## kde-redhat patches
%patch1001 -p1 -b .PSfontname
%{?immodule:%patch1002 -p1 -b .132304}

# for qt-copy in KDE CVS
[ -f Makefile.cvs ] && make -f Makefile.cvs


%build
export QTDIR=$(pwd)
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$QTDIR/bin:$PATH"
export QTDEST=%{qtdir}

%if "%{?qtcopy:1}" != "1"
%if "%{?immodule}" == "1"
  pushd include/
  ln -s ../src/kernel/qinputcontext.h qinputcontext.h
  ln -s ../src/input/qinputcontextfactory.h qinputcontextfactory.h
  ln -s ../src/input/qinputcontextplugin.h qinputcontextplugin.h
  popd
  pushd include/private/
  ln -s ../../src/input/qinputcontextinterface_p.h qinputcontextinterface_p.h
  ln -s ../../src/input/qximinputcontext_p.h qximinputcontext_p.h
  popd
%endif
%endif

# set some default FLAGS
OPTFLAGS="$RPM_OPT_FLAGS %{?cxa}"

# set correct FLAGS
perl -pi -e "s,-O2,$INCLUDES $OPTFLAGS,g" mkspecs/*/qmake.conf

# set correct lib path
if [ "%{_lib}" = "lib64" ] ; then
   perl -pi -e "s,/usr/X11R6/lib,/usr/X11R6/%{_lib},g" mkspecs/*/qmake.conf
   perl -pi -e "s,/lib, /%{_lib},g" config.tests/unix/{checkavail,cups.test,nis.test}
fi

# build shared, threaded (default) libraries
echo yes | ./configure -v \
  -prefix $QTDEST \
%if "%{_lib}" == "lib64"
  -platform linux-g++-64 \
%else
  -platform linux-g++ \
%endif
  %{?debug:-debug} %{!?debug:-release} \
  -shared \
  %{?dlopen_opengl} \
  -largefile \
  -qt-gif \
  -system-zlib \
  -system-libpng \
  -system-libmng \
  -system-libjpeg \
  -no-g++-exceptions \
  -enable-tools \
  -enable-kernel \
  -enable-widgets \
  -enable-dialogs \
  -enable-iconview \
  -enable-workspace \
  -enable-network \
  -enable-canvas \
  -enable-table \
  -enable-xml \
  -qt-imgfmt-png -qt-imgfmt-jpeg -qt-imgfmt-mng \
  %{?plugins_sql} \
  %{plugins_style} \
  -stl \
  -thread \
  -cups \
  -sm \
  -xkb \
  -ipv6 \
  -xinerama \
  -xrender -xft %{?xft_flags} %{?xorg_opts} -tablet

%if "%{?buildSQL}" != "0"
# build psql plugin
pushd plugins/src/sqldrivers/psql
qmake -o Makefile "INCLUDEPATH+=/usr/include/pgsql /usr/include/pgsql/server /usr/include/pgsql/internal" "LIBS+=-lpq" psql.pro
popd

# build mysql plugin
pushd plugins/src/sqldrivers/mysql
qmake -o Makefile "INCLUDEPATH+=/usr/include/mysql" "LIBS+=-L%{_libdir}/mysql -lmysqlclient" mysql.pro
popd

pushd plugins/src/sqldrivers/odbc
qmake -o Makefile "LIBS+=-lodbc" odbc.pro
popd
%endif

make %{?_smp_mflags} 

# build Xt/Motif Extention
%if "%{?motif_extention}" == "1"
make %{?_smp_mflags} -C extensions/motif/src
%endif

# build static libraries, if requested.
%if "%{?buildstatic}" == "1"
cp -aR lib lib-bld
cp -aR bin bin-bld
make clean
rm -rf lib bin
mv lib-bld lib
mv bin-bld bin

echo yes | ./configure \
  -prefix $QTDEST \
%if "%{?debug}" == "1"
  -debug \
%else
  -release \
%endif
  -largefile \
  %{?dlopen_opengl} \
  -static \
  -qt-gif \
  -system-zlib \
  -system-libpng \
  -system-libmng \
  -system-libjpeg \
  -no-g++-exceptions \
  -enable-tools \
  -enable-kernel \
  -enable-widgets \
  -enable-dialogs \
  -enable-iconview \
  -enable-workspace \
  -enable-network \
  -enable-canvas \
  -enable-table \
  -enable-xml \
  -qt-style-motif \
  %{?plugins_sql} \
  %{plugins_style} \
  -stl \
  -thread \
  -cups \
  -sm \
  -xinerama \
  -xft %{?xft_flags} \
  -xrender \
  %{?xorg_opts} \
  -xkb 

make %{?_smp_mflags}
%endif


%install
rm -rf $RPM_BUILD_ROOT
export QTDIR=$(pwd)
export PATH=$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export QTDEST=%{qtdir}

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_docdir}/qt{,-devel}-%{version},%{_mandir}/{man1,man3}}
mkdir -p $RPM_BUILD_ROOT%{qtdir}/{bin,include,lib}

make install INSTALL_ROOT=$RPM_BUILD_ROOT/

# create/fix symlinks, lib64 fixes
/sbin/ldconfig -n $RPM_BUILD_ROOT%{qtdir}/%{_lib}
for link in qt.so qt.so.3 ; do
  ln -sf libqt-mt.so.%{version} $RPM_BUILD_ROOT%{qtdir}/%{_lib}/lib${link}
done
pushd mkspecs
rm -rf default
if [ "%_lib" == "lib64" ]; then
   ln -sf linux-g++-64 default
else
   ln -sf linux-g++ default
fi
popd
cp -aR mkspecs %{buildroot}%{qtdir}

# Handle pkgconfig file
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
cp -lf $RPM_BUILD_ROOT%{qtdir}/lib/pkgconfig/*.pc \
        $RPM_BUILD_ROOT%{_libdir}/pkgconfig/

# install man pages
mkdir -p %{buildroot}/%{_mandir}
cp -af doc/man/* %{buildroot}/%{_mandir}/
rm -rf doc/man

## Fixup examples/tutorials
# Make sure the examples can be built outside the source tree.
# Our binaries fulfill all requirements, so...
perl -pi -e "s,^DEPENDPATH.*,,g;s,^REQUIRES.*,,g" `find examples -name "*.pro"`

for a in */*/Makefile ; do
  sed 's|^SYSCONF_MOC.*|SYSCONF_MOC		= %{qtdir}/bin/moc|' < $a > ${a}.2
  mv -v ${a}.2 $a
done

# don't include Makefiles of qt examples/tutorials
make -C examples clean
make -C tutorial clean
find examples -name "Makefile" | xargs rm -f
find tutorial -name "Makefile" | xargs rm -f

## qt.sh, qt.csh
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cat > $RPM_BUILD_ROOT/etc/profile.d/qt.sh <<EOF
# Qt initialization script (sh)
if [ -z "\$QTDIR" ] ; then
  QTDIR="%{qtdir}"
  export QTDIR
fi
EOF
cat > $RPM_BUILD_ROOT/etc/profile.d/qt.csh <<EOF
# Qt initialization script (csh)
if ( ! \$?QTDIR ) then
  setenv QTDIR %{qtdir}
endif
EOF
chmod 755 $RPM_BUILD_ROOT/etc/profile.d/*

mkdir -p %{buildroot}%{_bindir}
for i in bin/*; do
  ln -s ../%{_lib}/%{qt_dirname}/bin/`basename $i` $RPM_BUILD_ROOT%{_bindir}/
done

# make symbolic link to qt docdir
#rm -rf $RPM_BUILD_ROOT%{qtdir}/doc
mkdir -p  $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
mv -f $RPM_BUILD_ROOT%{qtdir}/doc/html $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
mv -f examples $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
mv -f tutorial $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version} 
ln -s ../../share/doc/%{name}-devel-%{version} $RPM_BUILD_ROOT%{qtdir}/doc 

# Add desktop file
%if "%{?desktop_file}" != "0"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat >$RPM_BUILD_ROOT%{_datadir}/applications/qt-designer.desktop <<EOF
%else
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Development
cat >$RPM_BUILD_ROOT%{_datadir}/applnk/Development/designer.desktop <<EOF
%endif
[Desktop Entry]
BinaryPattern=designer;
Name=Qt Designer
GenericName=Interface Designer
Exec=designer
Icon=designer
InitialPreference=5
MapNotify=true
MimeType=application/x-designer;
Terminal=false
Encoding=UTF-8
Type=Application
Categories=Qt;Application;Development;X-Red-Hat-Extra;
X-Desktop-File-Install-Version=0.3
EOF

# move into redhat-artwork?  No -- Rex
# Sane default settings
mkdir -p $RPM_BUILD_ROOT%{qtdir}/etc/settings
cat >$RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc <<"EOF"
[3.3]
libraryPath=/usr/lib/qt-3.3/plugins:/usr/lib/kde3/plugins

[General]
XIMInputStyle=Over The Spot
cursorFlashTime=1000
doubleClickInterval=400
embedFonts=true
enableXft=true
font=Sans,10,-1,5,48,0,0,0,0,0
fontPath=\0
globalStrut=0^e0^e
resolveSymlinks=true
#style=Keramik
useRtlExtensions=false
useXft=true
wheelScrollLines=3

[KDE]
contrast=7
kdeAddedLibraryPaths=~/.kde/lib/kde3/plugins/^e/usr/lib/kde3/plugins/^e

[KWinPalette]
activeBackground=#dcdcdc
activeBlend=#c8c8c8
activeForeground=#ffffff
activeTitleBtnBg=#dcdcdc
frame=#dcdcdc
inactiveBackground=#dcdcdc
inactiveBlend=#c8c8c8
inactiveForeground=#6e6e6e
inactiveFrame=#dcdcdc
inactiveTitleBtnBg=#dcdcdc

[Palette]
active=#000000^e#e6f0f9^e#ffffff^e#f2f7fc^e#73787c^e#9aa0a6^e#000000^e#ffffff^e#000000^e#ffffff^e#eeeaee^e#000000^e#547098^e#ffffff^e#0000ff^e#ff00ff^e
disabled=#808080^e#e6f0f9^e#ffffff^e#ffffff^e#73787c^e#9aa0a6^e#808080^e#ffffff^e#808080^e#ffffff^e#eeeaee^e#000000^e#547098^e#808080^e#0000ff^e#ff00ff^e
inactive=#000000^e#e6f0f9^e#ffffff^e#ffffff^e#73787c^e#9aa0a6^e#000000^e#ffffff^e#000000^e#ffffff^e#eeeaee^e#000000^e#547098^e#ffffff^e#0000ff^e#ff00ff^e
EOF

# qt-theme
mv      $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc \
        $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc.%{theme}
touch   $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc

# remove some crud
rm -rf $RPM_BUILD_ROOT%{qtdir}/plugins/src \
       $RPM_BUILD_ROOT%{qtdir}/lib/README \
       $RPM_BUILD_ROOT%{qtdir}/lib/*.prl \
       $RPM_BUILD_ROOT%{qtdir}/plugins/*.prl \
       $RPM_BUILD_ROOT%{qtdir}/lib/*.la

# prepare to own possibly-generated config
touch $RPM_BUILD_ROOT%{qtdir}/etc/settings/qt_plugins_3.3rc

# for newer ld.so's
%if "%{?ld_so_conf_d}" == "1"
mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{qtdir}/lib" > %{buildroot}/etc/ld.so.conf.d/qt.conf
%endif


%clean
rm -rf $RPM_BUILD_ROOT


#%pre devel
# This *should* be a symlink, otherwise nuke
# doc in qt-doc (jb
#DIR1=%{qtdir}/doc
#[ ! -L "${DIR1}" ] && /bin/rm -rf "${DIR1}"
#exit 0

%post
%if "%{?ld_so_conf_d}" != "1" 
grep -v '^%{_libdir}/qt-3' /etc/ld.so.conf >/etc/ld.so.conf.new
mv -f /etc/ld.so.conf.new /etc/ld.so.conf
echo "%{qtdir}/lib" >> /etc/ld.so.conf
%endif
/sbin/ldconfig
/usr/sbin/themer --install %{theme} %{priority} ||:

%postun
%if "%{?ld_so_conf_d}" != "1"
if [ $1 -eq 0 ]; then
  grep -v "^%{qtdir}/lib" /etc/ld.so.conf > /etc/ld.so.conf.new 2>/dev/null
  mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
%endif
/sbin/ldconfig
if [ ! -f %{qtdir}/etc/settings/qtrc.%{theme} ]; then
/usr/sbin/themer --remove %{theme} ||:
fi


%files
%defattr(-,root,root,-)
%doc FAQ LICENSE.QPL README* changes*
%if "%{?ld_so_conf_d}" == "1"
/etc/ld.so.conf.d/*
%endif
%attr(0755,root,root) %config /etc/profile.d/*
%dir %{qtdir}
%dir %{qtdir}/bin
%{qtdir}/bin/qtconfig
%{_bindir}/qtconfig*
%dir %{qtdir}/lib
%{qtdir}/lib/lib*.so.*
%{qtdir}/phrasebooks
%dir %{qtdir}/etc
%dir %{qtdir}/etc/settings
# qt-theme
%config(noreplace) %{qtdir}/etc/settings/*rc.%{theme}
%ghost  %{qtdir}/etc/settings/*rc
%ghost %verify(not md5 size mtime) %{qtdir}/etc/settings/qt_plugins_3.3rc
%dir %{qtdir}/plugins

#files config
#defattr(-,root,root,-)
#%{qtdir}/bin/qtconfig
#%{_bindir}/qtconfig*

%files devel
%defattr(-,root,root,-)
%{qtdir}/bin/assistant
%{qtdir}/bin/moc
%{qtdir}/bin/uic
%{qtdir}/bin/qembed
%{qtdir}/bin/qm2ts
%{qtdir}/bin/qmake
%{qtdir}/include
#%{qtdir}/doc
%{qtdir}/mkspecs
%{qtdir}/lib/lib*.so
%{qtdir}/lib/lib*.a
%{qtdir}/lib/pkgconfig
%{_libdir}/pkgconfig/*.pc
%{qtdir}/templates
%{qtdir}/translations
%{_mandir}/*/*
%{_bindir}/assistant*
%{_bindir}/moc*
%{_bindir}/uic*
%{_bindir}/qmake*
%{_bindir}/qm2ts*
#%doc %{_docdir}/%{name}-devel-%{version}

%if "%{?motif_extention}" == "1"
%post Xt -p /sbin/ldconfig
%postun Xt -p /sbin/ldconfig

%files Xt
%defattr(-,root,root,-)
%{qtdir}/lib/libqmotif.so*
%endif

%if "%{?styleplugins}" == "1"
%files styles
%defattr(-,root,root,-)
%dir %{qtdir}/plugins/styles
%{qtdir}/plugins/styles/*
%endif

%if "%{?buildSQL}" != "0"
%files ODBC
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlodbc*

%files PostgreSQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlpsql*

%files MySQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlmysql*
%endif

%if "%{?buildstatic}" == "1"
%files static
%defattr(-,root,root,-)
%{qtdir}/lib/*.a
%endif

%files designer
%defattr(-,root,root,-)
%{_bindir}/designer*
%{_bindir}/linguist*
%{_bindir}/lrelease*
%{_bindir}/lupdate*
%dir %{qtdir}/plugins/designer
%{qtdir}/plugins/designer/*
%{qtdir}/bin/designer
%{qtdir}/bin/linguist
%{qtdir}/bin/lrelease
%{qtdir}/bin/lupdate
%if "%{?desktop_file}" != "0"
%{_datadir}/applications/*-designer.desktop
%else
%{_datadir}/applnk/Development/*
%endif

%files doc
%defattr(0644,root,root,0755)
%docdir  %{_docdir}/%{name}-devel-%{version}/html
%{_docdir}/%{name}-devel-%{version}/html
%{_docdir}/%{name}-devel-%{version}/examples
%{_docdir}/%{name}-devel-%{version}/tutorial

%changelog
* Mon Oct 04 2004 Aurox Team <aurox@aurox.org> 1:3.3.3-10.1.aur.4
- Fix K menu width.
- rebuild for Aurox 10.0
- split qt-doc from qt-devel
- rebuild with tablet support
- remove old docs dir
- use version macro for archive name
- new bugfix release
- use kde-redhat spec and patches
- blah
- qmlined patch: out
- monospace patch: out
- old source removed from svn, not needed patch: out
- intial build for Aurox 9.4, new version 3.3.1

* Wed Sep 15 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.3-3.3
- -devel: remove Requires: libjpeg-devel, libmng-devel, libpng-devel

* Mon Sep 13 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.3-3.2
- try immodule patch from kde-packagers (redhat bug #132304)

* Fri Sep 10 2004 Rex Dieter <rexdieter at sf.net. 1:3.3.3-3.1
- qt-copy-20040910
- NOTE: immodule enable pending fix for redhat bug #132304

* Mon Aug 23 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.3-3.0
- sync to rawhide's 3.3.3-3

* Fri Aug 13 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.3-2.0
- sync to rawhide 3.3.3-2
- qt-copy-20040813

* Tue Jul 20 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.2-10.2
- fix %%post for non ld.so.conf.d case(s)

* Mon Jul 06 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.2-10.1
- qt-copy-20040706
- disable immodule (for now, redhat bug #127058)

* Mon Jul 06 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.2-10.0
- rawhide sync
- qt-copy-20040530

* Thu Jul 01 2004 Than Ngo <than@redhat.com> 1:3.3.2-10
- add immodule for Qt

* Tue Jun 29 2004 Than Ngo <than@redhat.com> 1:3.3.2-9
- add sub package config, allow multi lib installation (#126643)

* Thu Jun 24 2004 Than Ngo <than@redhat.com> 1:3.3.2-8
- add fontconfig fix for qfontdatabase, #123868
- fix some buildrequires problem, #125289
- fix dangling symlink, #125351
- get rid of backup files

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 1:3.3.2-7
- rebuilt

* Tue May 25 2004 Than Ngo <than@redhat.com> 1:3.3.2-5
- add missing qembed tool #124052, #124052
- get rid of unused trigger
- add qt.conf in ld.so.conf.d -> don't change ld.so.conf #124080

* Tue May 18 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.2-2.0
- FC2
- qt-copy-20040513

* Thu May 06 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.2-1.0
- qt-copy-20040506, rawhide's qt-3.3.2-1

* Mon May 03 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-1.0
- sync to rawhide's 3.3.1-1.0

* Fri Apr 23 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-0.fdr.9
- qt-copy-20040423 (another shot kde bug #77545)

* Thu Apr 22 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-0.fdr.8
- qt-copy-20040422 (kde bugs #71529,#77545)

* Mon Apr 12 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-0.fdr.7
- qt-copy-20040412

* Wed Apr 07 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-0.fdr.6
- sync with rawhide's 3.3.1-0.8

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-0.fdr.5
- qt-copy-20040405

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-0.fdr.4
- make themer more robust

* Mon Mar 29 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-0.fdr.3
- PSfontname patch
- qt-copy-20040329

* Wed Mar 10 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-0.fdr.2
- sync with rh's qt-3.3.1-0.5

* Tue Mar 09 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.1-0.fdr.1
- 3.3.1

* Tue Mar 02 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.0-0.fdr.2
- disable -dlopen-opengl (for now, too buggy)

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.0-0.fdr.1
- 3.3.0
- try -dlopen-opengl, nope too buggy.
- nuke -styles subpkg (it was more trouble than it's worth)

* Thu Feb 12 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.9
- desktop_file=1 unconditionally
- Requires(post,preun): themer -> Prereq: themer
- create libqt.so.3 symlink

* Tue Jan 13 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.8
- qt-theme returns!

* Sun Jan 11 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.7
- allow -rpath's in mkspecs, breaks PyQt when missing:
  http://mats.imk.fraunhofer.de/pipermail/pykde/2003-December/006674.html

* Fri Dec 19 2003 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.6
- don't use themer/alternatives for qt anymore (it *should* be
  inheriting from kde).

* Wed Dec 03 2003 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.5
- don't disable -Wall anymore, it ended up disabling it for all
  qt-based projects (using qmake).

* Mon Dec 01 2003 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.4
- use qt-copy, and use its not-yet-accepted-by-tt patches
- (rh73/gcc296) fix uic issue(s): use -fuse-cxa-atexit

* Tue Nov 25 2003 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.3
- respin

* Thu Nov 20 2003 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.2
- rh73: rebuild against fontconfig'd version of XFree86-4.2.1

* Mon Nov 17 2003 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.1
- add/use qfontdatabase patch on rh73 too
- sync w/rawhide's 3.2.2-0.4
- styleplugins subpkg.
- update macros for Fedora Core.
- handle pkgconfig file

* Wed Nov 12 2003 Rex Dieter <rexdieter at sf.net> 1:3.2.3-0.fdr.0
- first shot at 3.2
- use qt-copy (3.2.3)

* Tue Oct 21 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.2-7.fdr.3
- qt-3.1.3-qpsprinter-fix-ttf-font.patch

* Sat Aug 23 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.2-7.fdr.2
- sync to rawhide's 3.1.2-14
- move /etc/profile.d/* from -devel to main pkg.
- own alternatives
- use themer tool.

* Thu Jul 31 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.2-7.fdr.1 
- (default) theme handling: simplify, handle upgrades better.

* Fri May 23 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.2-7.fdr.0
- fixup Conflicts for fedora'ized packages.

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-7
- add some patches from KDE CVS qt-copy, thanks to Alexei Podtelezhnikov

* Fri May 09 2003 Rex Dieter <rexdieter at users.sf.net> 1:3.1.2-5.1.fdr.1
- cleanup %%files list to remove duplicates.

* Thu May 08 2003 Rex Dieter <rexdieter at users.sf.net> 1:3.1.2-5.1.fdr.0
- add cvs tags.
- use fedora naming scheme.
- sync to 3.1.2-5.1.

* Mon May  5 2003 Than Ngo <than@redhat.com> 3.1.2-5.1
- set correct permission config scripts

* Tue Apr 29 2003 Than Ngo <than@redhat.com> 3.1.2-4
- fix typo bug in font loader

* Wed Jan 29 2003 Than Ngo <than@redhat.com> 3.1.1-6
- add missing Categories section in qt designer #82920

* Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de> 3.1.1-4
- Change qmlined.h to not include an attic header that is also not shipped
  with Red Hat Linux. This also fixes building unixODBC, that includes this
  header (apparently also without needing it).

* Thu Dec 19 2002 Than Ngo <than@redhat.com> 3.1.1-3
- add monospace patch file from Leon Ho (bug #79949)
- add small patch file from Sysoltsev Slawa (bug #79731)

* Tue Dec 17 2002 Than Ngo <than@redhat.com> 3.1.1-2
- don't require XFree86, it's not needed

* Tue Dec 17 2002 Than Ngo <than@redhat.com> 3.1.1-1
- update to 3.1.1

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1.0-1.3
- don't write Date into created moc files

* Mon Nov 18 2002 Than Ngo <than@redhat.com> 3.1.0-1.2
- add missing libs
- remove workaround for ppc

* Sun Nov 17 2002 Than Ngo <than@redhat.com> 3.1.0-1.1
- adjust qfontdatabase_x11 for 3.1.0
- fix lib64 issue
- add workaround to build on ppc

* Wed Nov 13 2002 Than Ngo <than@redhat.com> 3.1.0-1
- update to 3.1.0
- adjust some patch files for 3.1.0
- clean up specfile
- remove some Xft2 patch files, which are now in 3.1.0
- add qwidget_x11.cpp.diff from Trolltech
- install qt in %%{_libdir}/qt-3.1 (bug #77706)
- don't use rpath
- enable large file support
- use system Xinerama
- remove unneeded cups patch file
- fix to build against new XFree86
